Index: trunk/admin/modules/Elezioni/aggiornadb.php
===================================================================
--- trunk/admin/modules/Elezioni/aggiornadb.php	(revision 406)
+++ trunk/admin/modules/Elezioni/aggiornadb.php	(revision 407)
@@ -132,4 +132,14 @@
 	echo "<br> Il record cookie_law.php Ãš stato eliminato dalla tabella dei widget, usare privacy.php<br>";
 }	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_widget non richiede questo aggiornamento</span><br>";
+
+
+if(!controllo($prefix.'_ele_con_comune','proiezione',++$num))
+{
+	$sql="ALTER TABLE `".$prefix."_ele_cons_comune` ADD `proiezione` ENUM('0','1') NOT NULL DEFAULT '0' AFTER `disgiunto`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+	$sql="update `".$prefix."_ele_cons_comune` set proiezione='1' where chiusa='1' and id_conf=4";
+	$ret=aggiorna($sql,$dbi,'',$num);	
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_cons_comune non richiede questo aggiornamento</span><br>";
+
 if(!controllo($prefix.'_config','versione',++$num))
 {
Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 406)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 407)
@@ -56,4 +56,5 @@
 if (isset($_GET['sg'])) $sg=intval($_GET['sg']); else $sg=0;
 if (isset($_GET['disgiunto'])) $disgiunto=intval($_GET['disgiunto']); else $disgiunto=0;
+if (isset($_GET['proiezione'])) $proiezione=intval($_GET['proiezione']); else $proiezione=0;
 
 $offset=15;
@@ -66,5 +67,5 @@
 	//
 	function all() {
-	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto,$id_cons_comu,$genere;
+	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto,$id_cons_comu,$genere,$proiezione;
 $aid=$_SESSION['aid'];
 $prefix=$_SESSION['prefix'];
@@ -139,4 +140,5 @@
 		echo "<td bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
 		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FASCIA."</b></td>";
+		echo "<td bgcolor=\"$bgcolor1\"><b>"._PROIEZIONE."</b></td>";
 		}
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
@@ -189,9 +191,9 @@
 	if($tipo_cons==3){
 		if($idcomune) {
-			$sql="SELECT id_fascia from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomune'";
+			$sql="SELECT id_fascia,proiezione from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomune'";
 			$rescomu = $dbi->prepare("$sql");
 			$rescomu->execute();	
 			if($rescomu->rowCount())
-				list($fasciacom)=$rescomu->fetch(PDO::FETCH_NUM);
+				list($fasciacom,$proiezione)=$rescomu->fetch(PDO::FETCH_NUM);
 			else $fasciacom=0;
 		} else $fasciacom=0;
@@ -222,5 +224,9 @@
 		}
 		echo "</select></td>";
-		
+		echo "<td id=\"proiezione\"><select name=\"proiezione\">";
+		if ($proiezione) {$sel0='';$sel1='selected';} else {$sel1='';$sel0='selected';}
+		echo "<option value=\"0\" $sel0>No";
+		echo "<option value=\"1\" $sel1>Si";
+		echo "</select></td>";
 		
 	}
@@ -276,4 +282,5 @@
 		echo "<td width=\"20%\" bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
 		echo "<td width=\"20%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FASCIA."</b></td>";
+		echo "<td width=\"20%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._PROIEZIONE."</b></td>";
 		}
 	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
@@ -284,8 +291,8 @@
 	echo "<td width=\"10\" bgcolor=\"$bgcolor1\"><b>&nbsp;"._FUNZIONI."</b></td></tr>";
 
-	$sql="SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze,t1.id_fascia,t1.vismf,t1.solo_gruppo,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione";
+	$sql="SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze,t1.id_fascia,t1.vismf,t1.solo_gruppo,t1.disgiunto,t1.proiezione FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione";
 	$resmod = $dbi->prepare("$sql");
 	$resmod->execute();	
-	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2,$fasciacom,$vismf2,$sg2,$disgiunto2) = $resmod->fetch(PDO::FETCH_NUM)){ //elenco dei modelli inseriti
+	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2,$fasciacom,$vismf2,$sg2,$disgiunto2,$proiezione) = $resmod->fetch(PDO::FETCH_NUM)){ //elenco dei modelli inseriti
 		$sql="SELECT descrizione FROM ".$prefix."_ele_conf where id_conf='$id_conf'";
 		$resconf = $dbi->prepare("$sql");
@@ -315,4 +322,6 @@
 				$inffascia=$abitanti;
 			}
+			if($proiezione) $sceltapro='Si'; else $sceltapro='No';
+			echo "<td>".$sceltapro."</td>";
 
 		}
@@ -343,5 +352,5 @@
 
 function associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$id_comune,$chiusa,$id_conf,$preferenze) {
-	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4,$idfascia,$vismf,$sg,$disgiunto;
+	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4,$idfascia,$vismf,$sg,$disgiunto,$proiezione;
 	$delcons=0;
 	if ($do !="" and $id_cons_gen>0 and $idcomunenew>0) {
@@ -352,5 +361,5 @@
 		list($delcons)=$rescomu->fetch(PDO::FETCH_NUM);
 		if (!$max){			//se no la inserisce
-			$sql="insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze,id_fascia,vismf,solo_gruppo,disgiunto) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze','$idfascia','$vismf','$sg','$disgiunto')";
+			$sql="insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze,id_fascia,vismf,solo_gruppo,disgiunto,proiezione) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze','$idfascia','$vismf','$sg','$disgiunto','$proiezione')";
 			$result = $dbi->prepare("$sql");
 			$result->execute();	
@@ -375,5 +384,5 @@
 			$result = $dbi->prepare("$sql");
 			$result->execute();	
-			$sql="update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze',id_fascia='$idfascia',vismf='$vismf',solo_gruppo='$sg',disgiunto='$disgiunto' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'";
+			$sql="update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze',id_fascia='$idfascia',vismf='$vismf',solo_gruppo='$sg',disgiunto='$disgiunto',proiezione='$proiezione' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'";
 			$result = $dbi->prepare("$sql");
 			$result->execute();	
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 406)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 407)
@@ -332,5 +332,11 @@
 if($ops=="3") {$bgcolorl="yellow"; $tcolorl='blue';} else {$bgcolorl="grey"; $tcolorl='white';} # $active_lista=" class=\"ui-btn-active\""; else $active_lista='';
 if($ops=="1") {$bgcolora="yellow"; $tcolora='blue';} else {$bgcolora="grey"; $tcolora='white';} # $active_aff=" class=\"ui-btn-active\""; else $active_aff='';
-echo "<div data-role=\"content\" data-theme=\"a\"><hr><h2>Sezione n. $num_sez</h2><table style=\"margin-left:auto; margin-right:auto;\"><tr>";
+echo "<div data-role=\"content\" data-theme=\"a\"><hr><h2>Sezione n. $num_sez";
+$sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($chiusa) = $res->fetch(PDO::FETCH_NUM);
+if ($chiusa) echo " -- CONSULTAZIONE NON ATTIVA";
+echo "</h2><table style=\"margin-left:auto; margin-right:auto;\"><tr>";
 #<a href=\"admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=1\"></a>
 echo "\n<td bgcolor=\"$bgcolora\" align=\"center\" $bordoa onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=1');\"><p style=\"margin-left:10px;margin-right:10px;\"><font color=\"$tcolora\"><b>"._AFFLUENZE."</font></b></p></td>\n";
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 406)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 407)
@@ -42,4 +42,5 @@
 		define("_SOLO_GRUPPO","Voti al solo candidato Sindaco");
 		define("_DESCRCONS","COMUNALI");
+		define("_PROIEZIONE","Proiezione<br>Consiglio");
 		break;
 	case 4:
Index: trunk/admin/modules/Elezioni/salva_aff.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_aff.php	(revision 406)
+++ trunk/admin/modules/Elezioni/salva_aff.php	(revision 407)
@@ -45,46 +45,48 @@
 
 $salvato=0;
-$query="select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'";
+$query="select id_cons,chiusa from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'";
 $res = $dbi->prepare("$query");
 $res->execute();
-list($id_cons)=$res->fetch(PDO::FETCH_NUM);
-$query="select id_parz from ".$prefix."_ele_voti_parziale where data='$data' and orario='$orario' and id_sez='$id_sez' and id_gruppo='$id_gruppo'";
-$res = $dbi->prepare("$query");
-$res->execute();         
-$righe=$res->rowCount();
-list($id_parz)=$res->fetch(PDO::FETCH_NUM); 
-if($righe){ #la riga Ãš presente e viene aggiorata
-	$arr=$res->fetch(PDO::FETCH_BOTH);
-	$sql="update ".$prefix."_ele_voti_parziale set voti_uomini='$voti_u',voti_donne='$voti_d',voti_complessivi='$voti_t' where  id_parz='$id_parz'";
-	$compl = $dbi->prepare("$sql");
-	$compl->execute(); 
-	if($compl->rowCount()) $salvato=1;
-	if($delete=="true"){
-		$sql="delete from ".$prefix."_ele_voti_parziale where id_parz='$id_parz'";
+list($id_cons,$chiusa)=$res->fetch(PDO::FETCH_NUM);
+if(!$chiusa){
+	$query="select id_parz from ".$prefix."_ele_voti_parziale where data='$data' and orario='$orario' and id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+	$res = $dbi->prepare("$query");
+	$res->execute();         
+	$righe=$res->rowCount();
+	list($id_parz)=$res->fetch(PDO::FETCH_NUM); 
+	if($righe){ #la riga Ãš presente e viene aggiorata
+		$arr=$res->fetch(PDO::FETCH_BOTH);
+		$sql="update ".$prefix."_ele_voti_parziale set voti_uomini='$voti_u',voti_donne='$voti_d',voti_complessivi='$voti_t' where  id_parz='$id_parz'";
+		$compl = $dbi->prepare("$sql");
+		$compl->execute(); 
+		if($compl->rowCount()) $salvato=1;
+		if($delete=="true"){
+			$sql="delete from ".$prefix."_ele_voti_parziale where id_parz='$id_parz'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			if($res->rowCount()) $salvato=1;
+		}
+	}else{ # Ãš un nuovo inserimento
+		$sql="insert into ".$prefix."_ele_voti_parziale values ('$id_cons', '$id_sez','0','$orario','$data','$voti_u','$voti_d','$voti_t','$id_gruppo')";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
-		if($res->rowCount()) $salvato=1;
+		if($res->rowCount()) $salvato=1;	
 	}
-}else{ # Ãš un nuovo inserimento
-	$sql="insert into ".$prefix."_ele_voti_parziale values ('$id_cons', '$id_sez','0','$orario','$data','$voti_u','$voti_d','$voti_t','$id_gruppo')";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	if($res->rowCount()) $salvato=1;	
+	if ($fileout) {
+		while (!$fp = fopen($fileout,"a"));
+		fwrite($fp,"$sql;\n"); 
+		fclose($fp);
+	}
+	if($salvato){
+		$riga=addslashes($sql);
+		$sqlog="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$data','$orario','','$riga','".$prefix."_ele_voti_parziale')";
+		$res = $dbi->prepare("$sqlog");
+		$res->execute();
+	}
+	#controllo_aff($id_cons,$id_sez,$id_parz);  
+	include("ele_controlli.php");
+	controllo_aff($id_cons,$id_sez,$id_parz);
+	include("ele_colora_sez.php");
 }
-if ($fileout) {
-	while (!$fp = fopen($fileout,"a"));
-	fwrite($fp,"$sql;\n"); 
-	fclose($fp);
-}
-if($salvato){
-	$riga=addslashes($sql);
-	$sqlog="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$data','$orario','','$riga','".$prefix."_ele_voti_parziale')";
-	$res = $dbi->prepare("$sqlog");
-	$res->execute();
-}
-#controllo_aff($id_cons,$id_sez,$id_parz);  
-include("ele_controlli.php");
-controllo_aff($id_cons,$id_sez,$id_parz);
-include("ele_colora_sez.php");
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
 
Index: trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 406)
+++ trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 407)
@@ -44,81 +44,80 @@
 
 global $prefix,$id_parz,$fileout;
-$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
+$sql="SELECT disgiunto,chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
 $res = $dbi->prepare("$sql");
 $res->execute();
-list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
-$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-list($circo)=$res->fetch(PDO::FETCH_NUM);
+list($disgiunto,$chiusa)=$res->fetch(PDO::FETCH_NUM);
+if(!$chiusa){
+	$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($circo)=$res->fetch(PDO::FETCH_NUM);
 
-if ($circo) $circo="and id_circ=$id_circ"; else $circo=''; 
-$sql="select num_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  ";
-$result = $dbi->prepare("$sql");
-$result->execute();
-while(list($i)=$result->fetch(PDO::FETCH_BOTH)) {
-	$vot="voti$i";$solo="solog$i";$grupp="num_gruppo$i";
-	if (isset($_GET[$grupp])) $num_gruppo[$i]=intval($_GET[$grupp]); else $num_gruppo[$i]='0';
-	if (isset($_GET[$vot]) && $_GET[$vot]) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
-	if (isset($_GET[$solo])) $solog[$i]=intval($_GET[$solo]); else $solog[$i]='0';
+	if ($circo) $circo="and id_circ=$id_circ"; else $circo=''; 
+	$sql="select num_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  ";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+	while(list($i)=$result->fetch(PDO::FETCH_BOTH)) {
+		$vot="voti$i";$solo="solog$i";$grupp="num_gruppo$i";
+		if (isset($_GET[$grupp])) $num_gruppo[$i]=intval($_GET[$grupp]); else $num_gruppo[$i]='0';
+		if (isset($_GET[$vot]) && $_GET[$vot]) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
+		if (isset($_GET[$solo])) $solog[$i]=intval($_GET[$solo]); else $solog[$i]='0';
 
-}
+	}
 
-if (!isset($fileout)) $fileout='';
-#if(($voti_u+$voti_d) and !$voti_t) $voti_t=$voti_u+$voti_d;
-if ($fileout) while (!$fp = fopen($fileout,"a"));
+	if (!isset($fileout)) $fileout='';
+	#if(($voti_u+$voti_d) and !$voti_t) $voti_t=$voti_u+$voti_d;
+	if ($fileout) while (!$fp = fopen($fileout,"a"));
 
-##################
-	if($do==1) {
-		$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0',solo_lista='0' where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-	}else{
-		$sql="SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($disgiunto)=$res->fetch(PDO::FETCH_NUM);
-		if($disgiunto){ 
-		}
-		$sql="update ".$prefix."_ele_sezioni set solo_lista='$sololista' where id_cons='$id_cons' and id_sez='$id_sez'";
-		$result = $dbi->prepare("$sql");
-		$result->execute();
-		$sql="select num_gruppo from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
-		$result = $dbi->prepare("$sql");
-		$result->execute();
-		if($result->rowCount()) {
-			while(list($i)=$result->fetch(PDO::FETCH_NUM)){
-				$sql="update  ".$prefix."_ele_voti_gruppo set voti='".$voti[$i]."',solo_gruppo='".$solog[$i]."' where id_cons='$id_cons' and id_sez='$id_sez' and num_gruppo='".$num_gruppo[$i]."'";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
+	##################
+		if($do==1) {
+			$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0',solo_lista='0' where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		}else{
+			if($disgiunto){ 
 			}
-		}else{
-			$sql="select num_gruppo,id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo";
+			$sql="update ".$prefix."_ele_sezioni set solo_lista='$sololista' where id_cons='$id_cons' and id_sez='$id_sez'";
 			$result = $dbi->prepare("$sql");
 			$result->execute();
-			while(list($i,$id_gruppo)=$result->fetch(PDO::FETCH_NUM)){
-				$sql="insert into  ".$prefix."_ele_voti_gruppo values('$id_cons','$id_gruppo','$id_sez','$i','".$voti[$i]."','".$solog[$i]."')";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
+			$sql="select num_gruppo from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();
+			if($result->rowCount()) {
+				while(list($i)=$result->fetch(PDO::FETCH_NUM)){
+					$sql="update  ".$prefix."_ele_voti_gruppo set voti='".$voti[$i]."',solo_gruppo='".$solog[$i]."' where id_cons='$id_cons' and id_sez='$id_sez' and num_gruppo='".$num_gruppo[$i]."'";
+					$res = $dbi->prepare("$sql");
+					$res->execute();
+				}
+			}else{
+				$sql="select num_gruppo,id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo";
+				$result = $dbi->prepare("$sql");
+				$result->execute();
+				while(list($i,$id_gruppo)=$result->fetch(PDO::FETCH_NUM)){
+					$sql="insert into  ".$prefix."_ele_voti_gruppo values('$id_cons','$id_gruppo','$id_sez','$i','".$voti[$i]."','".$solog[$i]."')";
+					$res = $dbi->prepare("$sql");
+					$res->execute();
+				}
+				
 			}
-			
-		}
+	}
+	include("ele_controlli.php");
+	controllo_votig($id_cons,$id_sez,$genere);
+	include("ele_colora_sez.php");
+	if ($fileout) fclose($fp);
 }
-
-
-include("ele_controlli.php");
-controllo_votig($id_cons,$id_sez,$genere);
-include("ele_colora_sez.php");
-
-if ($fileout) fclose($fp);
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
 Header("Location: ".$BASE."admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=$ops");
Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 406)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 407)
@@ -50,129 +50,121 @@
 
 global $prefix,$id_parz,$fileout;
-$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
+$sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
 $res = $dbi->prepare("$sql");
 $res->execute();
-list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
-$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-list($circo)=$res->fetch(PDO::FETCH_NUM);
-if ($circo) $iscirco="and id_circ=$id_circ"; else $iscirco=''; 
-if($id_lista){
-	$sql="select num_cand,id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons' and id_lista='$id_lista' ORDER BY num_cand  ";
-	$result = $dbi->prepare("$sql");
-	$result->execute();
-	while(list($i,$y)=$result->fetch(PDO::FETCH_NUM)) {
-		$vot="voti$i";$cand="id_cand$i";
-		if (isset($_GET[$cand])) $idcand[$i]=intval($_GET[$cand]); else $idcand[$i]=$y;
-		if (isset($_GET[$vot])) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
-	#	if (isset($_GET[$solo])) $solog[$i]=intval($_GET[$solo]); else $solog[$i]='0';
+list($chiusa)=$res->fetch(PDO::FETCH_NUM);
+if(!$chiusa){
+	$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($circo)=$res->fetch(PDO::FETCH_NUM);
+	if ($circo) $iscirco="and id_circ=$id_circ"; else $iscirco=''; 
+	if($id_lista){
+		$sql="select num_cand,id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons' and id_lista='$id_lista' ORDER BY num_cand  ";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
+		while(list($i,$y)=$result->fetch(PDO::FETCH_NUM)) {
+			$vot="voti$i";$cand="id_cand$i";
+			if (isset($_GET[$cand])) $idcand[$i]=intval($_GET[$cand]); else $idcand[$i]=$y;
+			if (isset($_GET[$vot])) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
+		#	if (isset($_GET[$solo])) $solog[$i]=intval($_GET[$solo]); else $solog[$i]='0';
 
+		}
+	}else{
+		$sql="select num_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco ORDER BY num_lista ";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
+		$sololiste=0;
+		while(list($i)=$result->fetch(PDO::FETCH_NUM)) {
+			$vot="voti$i";$vnp="vnpl$i";$slp="slpl$i";$idlist="id_lista$i";
+			if (isset($_GET[$vnp])) $vnpl[$i]=intval($_GET[$vnp]); else $vnpl[$i]='0';
+			if (isset($_GET[$vot])) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
+			if (isset($_GET[$slp])) $slpl[$i]=intval($_GET[$slp]); else $slpl[$i]='0';
+			if (isset($_GET[$idlist])) $idlista[$i]=intval($_GET[$idlist]); else $idlista[$i]='0';
+			$sololiste+=$slpl[$i];
+		}	
 	}
-}else{
-	$sql="select num_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco ORDER BY num_lista ";
-	$result = $dbi->prepare("$sql");
-	$result->execute();
-	$sololiste=0;
-	while(list($i)=$result->fetch(PDO::FETCH_NUM)) {
-		$vot="voti$i";$vnp="vnpl$i";$slp="slpl$i";$idlist="id_lista$i";
-		if (isset($_GET[$vnp])) $vnpl[$i]=intval($_GET[$vnp]); else $vnpl[$i]='0';
-		if (isset($_GET[$vot])) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
-		if (isset($_GET[$slp])) $slpl[$i]=intval($_GET[$slp]); else $slpl[$i]='0';
-		if (isset($_GET[$idlist])) $idlista[$i]=intval($_GET[$idlist]); else $idlista[$i]='0';
-		$sololiste+=$slpl[$i];
-	}	
-}
-if (!isset($fileout)) $fileout='';
-#if(($voti_u+$voti_d) and !$voti_t) $voti_t=$voti_u+$voti_d;
-if ($fileout) while (!$fp = fopen($fileout,"a"));
+	if (!isset($fileout)) $fileout='';
+	#if(($voti_u+$voti_d) and !$voti_t) $voti_t=$voti_u+$voti_d;
+	if ($fileout) while (!$fp = fopen($fileout,"a"));
 
-##################
-# if($id_lista){ 
+	##################
+	# if($id_lista){ 
 
-#$andlis="and 
-	if($pwd3==1) {
-		if($id_lista) $condiz="and id_cand in (select id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons' and id_lista='$id_lista')"; else $condiz='';
-		$sql="delete from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' $condiz";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="delete from ".$prefix."_ele_controlli where tipo='candidato' and id_sez='$id_sez' ";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		if(!$id_lista){
-			$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+	#$andlis="and 
+		if($pwd3==1) {
+			if($id_lista) $condiz="and id_cand in (select id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons' and id_lista='$id_lista')"; else $condiz='';
+			$sql="delete from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' $condiz";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
-			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' ";
+			$sql="delete from ".$prefix."_ele_controlli where tipo='candidato' and id_sez='$id_sez' ";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
-			$sql="update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0',solo_lista='0' where id_cons='$id_cons' and id_sez='$id_sez'";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		}
-		
-	}elseif($id_lista){
+			if(!$id_lista){
+				$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' ";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$sql="update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0',solo_lista='0' where id_cons='$id_cons' and id_sez='$id_sez'";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+			}
+			
+		}elseif($id_lista){
 
-		foreach($idcand as $idkey=>$idc){			
-			$sql="select num_cand from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' and id_cand='$idc'";
-			$result = $dbi->prepare("$sql");
-			$result->execute();
-			if($result->rowCount()) 
-				$sql="update ".$prefix."_ele_voti_candidati set voti='".$voti[$idkey]."' where id_sez='$id_sez' and id_cand='$idc'";
-			else
-				$sql="insert into ".$prefix."_ele_voti_candidati values('$id_cons','$idc','$id_sez','$idkey','".$voti[$idkey]."')";
-			$result = $dbi->prepare("$sql");
-			$result->execute();
-		}
-	}else{
-			$sql="update  ".$prefix."_ele_sezioni set validi_lista='$validi',contestati_lista='$contestati',voti_nulli_lista='$votinulli',solo_gruppo='$sg' where id_cons='$id_cons' and id_sez='$id_sez'";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-			$sql="select num_lista,id_lista from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
-			$result = $dbi->prepare("$sql");
-			$result->execute();
-			if($result->rowCount()){
-				$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco";
+			foreach($idcand as $idkey=>$idc){			
+				$sql="select num_cand from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' and id_cand='$idc'";
 				$result = $dbi->prepare("$sql");
 				$result->execute();
-				while(list($i,$idl)=$result->fetch(PDO::FETCH_NUM)){
-					$sql="update ".$prefix."_ele_voti_lista set num_lista='$i',voti='".$voti[$i]."',nulli_lista='".$vnpl[$i]."',solo_lista='".$slpl[$i]."' where num_lista='$i' and id_sez='$id_sez'";
-					$res = $dbi->prepare("$sql");
-					$res->execute();
-				}
-				
-			}else{
-				
-				$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco";
+				if($result->rowCount()) 
+					$sql="update ".$prefix."_ele_voti_candidati set voti='".$voti[$idkey]."' where id_sez='$id_sez' and id_cand='$idc'";
+				else
+					$sql="insert into ".$prefix."_ele_voti_candidati values('$id_cons','$idc','$id_sez','$idkey','".$voti[$idkey]."')";
 				$result = $dbi->prepare("$sql");
 				$result->execute();
-				while(list($i,$idl)=$result->fetch(PDO::FETCH_NUM)){
-					$sql="insert into  ".$prefix."_ele_voti_lista values('$id_cons','$idl','$id_sez','$i','".$voti[$i]."','".$vnpl[$i]."','".$slpl[$i]."')";
-					$res = $dbi->prepare("$sql");
-					$res->execute();
+			}
+		}else{
+				$sql="update  ".$prefix."_ele_sezioni set validi_lista='$validi',contestati_lista='$contestati',voti_nulli_lista='$votinulli',solo_gruppo='$sg' where id_cons='$id_cons' and id_sez='$id_sez'";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$sql="select num_lista,id_lista from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+				$result = $dbi->prepare("$sql");
+				$result->execute();
+				if($result->rowCount()){
+					$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco";
+					$result = $dbi->prepare("$sql");
+					$result->execute();
+					while(list($i,$idl)=$result->fetch(PDO::FETCH_NUM)){
+						$sql="update ".$prefix."_ele_voti_lista set num_lista='$i',voti='".$voti[$i]."',nulli_lista='".$vnpl[$i]."',solo_lista='".$slpl[$i]."' where num_lista='$i' and id_sez='$id_sez'";
+						$res = $dbi->prepare("$sql");
+						$res->execute();
+					}
+					
+				}else{
+					
+					$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco";
+					$result = $dbi->prepare("$sql");
+					$result->execute();
+					while(list($i,$idl)=$result->fetch(PDO::FETCH_NUM)){
+						$sql="insert into  ".$prefix."_ele_voti_lista values('$id_cons','$idl','$id_sez','$i','".$voti[$i]."','".$vnpl[$i]."','".$slpl[$i]."')";
+						$res = $dbi->prepare("$sql");
+						$res->execute();
+					}
 				}
-			}
-	}
-
-
-
-include("ele_controlli.php");
-controllo_votil($id_cons,$id_sez,$id_lista);
-include("ele_colora_sez.php");
-	
-if ($fileout) fclose($fp);
+		}
+	include("ele_controlli.php");
+	controllo_votil($id_cons,$id_sez,$id_lista);
+	include("ele_colora_sez.php");
+	if ($fileout) fclose($fp);
+}
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
 Header("Location: ".$BASE."admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=$ops");
 
-
-
-
 #################################
-
-
-
-
-	
-
-
 ?>
Index: trunk/admin/modules/Elezioni/salva_ref.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_ref.php	(revision 406)
+++ trunk/admin/modules/Elezioni/salva_ref.php	(revision 407)
@@ -43,63 +43,60 @@
 
 global $prefix,$id_parz,$fileout;
-$sql="select num_gruppo,id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' ORDER BY num_gruppo  ";
-$resultg = $dbi->prepare("$sql");
-$resultg->execute();
+$sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($chiusa)=$res->fetch(PDO::FETCH_NUM);
+if(!$chiusa){
+	$sql="select num_gruppo,id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' ORDER BY num_gruppo  ";
+	$resultg = $dbi->prepare("$sql");
+	$resultg->execute();
 
-if (!isset($fileout)) $fileout='';
+	if (!isset($fileout)) $fileout='';
 
-if ($fileout) while (!$fp = fopen($fileout,"a"));
+	if ($fileout) while (!$fp = fopen($fileout,"a"));
 
-##################
-	if($do==1) {
-		$sql="delete from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez=$id_sez";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="delete from ".$prefix."_ele_controlli where id_cons='$id_cons' and id_sez=$id_sez";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-	}else{
-		while(list($i,$idgruppo)=$resultg->fetch(PDO::FETCH_BOTH)) {
-			$gruv="id_gruppo$i";$siv="si$i";$nov="no$i";$valv="val$i";$biav="bia$i";$conv="con$i";$nulv="nul$i";
-			if($_GET[$siv]=='' and $_GET[$nov]=='' and $_GET[$biav]=='' and $_GET[$conv]=='' and $_GET[$nulv]=='') continue;
-			if (isset($_GET[$gruv])) $id_gruppo[$i]=intval($_GET[$gruv]); else $id_gruppo[$i]='0';
-			if (isset($_GET[$siv])) $si[$i]=intval($_GET[$siv]); else $si[$i]='0';
-			if (isset($_GET[$nov])) $no[$i]=intval($_GET[$nov]); else $no[$i]='0';
-			if (isset($_GET[$valv])) $val[$i]=intval($_GET[$valv]); else $val[$i]='0';
-			if (isset($_GET[$biav])) $bia[$i]=intval($_GET[$biav]); else $bia[$i]='0';
-			if (isset($_GET[$conv])) $con[$i]=intval($_GET[$conv]); else $con[$i]='0';
-			if (isset($_GET[$nulv])) $nul[$i]=intval($_GET[$nulv]); else $nul[$i]='0';
+	##################
+		if($do==1) {
+			$sql="delete from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez=$id_sez";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="delete from ".$prefix."_ele_controlli where id_cons='$id_cons' and id_sez=$id_sez";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		}else{
+			while(list($i,$idgruppo)=$resultg->fetch(PDO::FETCH_BOTH)) {
+				$gruv="id_gruppo$i";$siv="si$i";$nov="no$i";$valv="val$i";$biav="bia$i";$conv="con$i";$nulv="nul$i";
+				if($_GET[$siv]=='' and $_GET[$nov]=='' and $_GET[$biav]=='' and $_GET[$conv]=='' and $_GET[$nulv]=='') continue;
+				if (isset($_GET[$gruv])) $id_gruppo[$i]=intval($_GET[$gruv]); else $id_gruppo[$i]='0';
+				if (isset($_GET[$siv])) $si[$i]=intval($_GET[$siv]); else $si[$i]='0';
+				if (isset($_GET[$nov])) $no[$i]=intval($_GET[$nov]); else $no[$i]='0';
+				if (isset($_GET[$valv])) $val[$i]=intval($_GET[$valv]); else $val[$i]='0';
+				if (isset($_GET[$biav])) $bia[$i]=intval($_GET[$biav]); else $bia[$i]='0';
+				if (isset($_GET[$conv])) $con[$i]=intval($_GET[$conv]); else $con[$i]='0';
+				if (isset($_GET[$nulv])) $nul[$i]=intval($_GET[$nulv]); else $nul[$i]='0';
 
-			$sql="select num_gruppo from ".$prefix."_ele_voti_ref where id_gruppo='$idgruppo'  and id_sez=$id_sez";
-			$result = $dbi->prepare("$sql");
-			$result->execute();
-			if($result->rowCount()) {
-				$sql="update  ".$prefix."_ele_voti_ref set si='".$si[$i]."',no='".$no[$i]."',validi='".$val[$i]."',bianchi='".$bia[$i]."',contestati='".$con[$i]."',nulli='".$nul[$i]."' where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='".$id_gruppo[$i]."'";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
-			}elseif($val[$i]!=''){
-				$sql="insert into  ".$prefix."_ele_voti_ref values('$id_cons','$idgruppo','$id_sez','$i','".$si[$i]."','".$no[$i]."','".$val[$i]."','".$nul[$i]."','".$bia[$i]."','".$con[$i]."')";  
-				$res = $dbi->prepare("$sql");
-				$res->execute();
-			
+				$sql="select num_gruppo from ".$prefix."_ele_voti_ref where id_gruppo='$idgruppo'  and id_sez=$id_sez";
+				$result = $dbi->prepare("$sql");
+				$result->execute();
+				if($result->rowCount()) {
+					$sql="update  ".$prefix."_ele_voti_ref set si='".$si[$i]."',no='".$no[$i]."',validi='".$val[$i]."',bianchi='".$bia[$i]."',contestati='".$con[$i]."',nulli='".$nul[$i]."' where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='".$id_gruppo[$i]."'";
+					$res = $dbi->prepare("$sql");
+					$res->execute();
+				}elseif($val[$i]!=''){
+					$sql="insert into  ".$prefix."_ele_voti_ref values('$id_cons','$idgruppo','$id_sez','$i','".$si[$i]."','".$no[$i]."','".$val[$i]."','".$nul[$i]."','".$bia[$i]."','".$con[$i]."')";  
+					$res = $dbi->prepare("$sql");
+					$res->execute();
+				
+				}
 			}
+			include("ele_controlli.php");
+			controllo_votir($id_cons,$id_sez);
 		}
-		include("ele_controlli.php");
-		controllo_votir($id_cons,$id_sez);
-	}
-
-
-
-include("ele_colora_sez.php");
-if ($fileout) fclose($fp);
+	include("ele_colora_sez.php");
+	if ($fileout) fclose($fp);
+}
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
 Header("Location: ".$BASE."admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=$ops");
 #################################
 
-
-
-
-	
-
-
 ?>
Index: trunk/admin/modules/Elezioni/salva_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_voti.php	(revision 406)
+++ trunk/admin/modules/Elezioni/salva_voti.php	(revision 407)
@@ -43,74 +43,76 @@
 #if(isset($_SESSION['scrutinata'])) $scrutinata=$_SESSION['scrutinata']; #else $scrutinata=false;
 global $prefix,$id_parz,$genere,$fileout,$id_cons;
-if (!isset($fileout)) $fileout='';
-#if(($voti_u+$voti_d) and !$voti_t) $voti_t=$voti_u+$voti_d;
-if ($fileout) while (!$fp = fopen($fileout,"a"));
-
-$salvato=0;
-
-##################
-$sql="select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+$sql="select solo_gruppo,disgiunto,chiusa from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
 $result = $dbi->prepare("$sql");
 $result->execute();
-list($flagsg,$disgiunto)=$result->fetch(PDO::FETCH_NUM);
-$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
-$result = $dbi->prepare("$sql");
-$result->execute();
-$ar=$result->fetch(PDO::FETCH_BOTH);
-$validilista=$validi-$ar['solo_gruppo'];
-$log_data= date("Y/m/d");
-$log_ora=getdate(time());	
-$orario=($log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']);
+list($flagsg,$disgiunto,$chiusa)=$result->fetch(PDO::FETCH_NUM);
+if(!$chiusa){
+	if (!isset($fileout)) $fileout='';
+	#if(($voti_u+$voti_d) and !$voti_t) $voti_t=$voti_u+$voti_d;
+	if ($fileout) while (!$fp = fopen($fileout,"a"));
 
-#if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and ($votog or $genere==4)){
-	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$aid','$log_data','$orario','validi_lista:$ar[14] nulli:$ar[7] bianchi:$ar[8] ','validi_lista=$validilista, nulli=$nulli,bianchi=$bianchi','_ele_sezioni')";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$sql="update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', nulli='$nulli',bianchi='$bianchi', voti_nulli='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	if ($fileout) fwrite($fp,"$sql;\n");
-######
-#include($sql."TEST: scru=$scrutinata");
-if(isset($scrutinata))
-{	
-	$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and num_gruppo=0";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez' and num_lista=0";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez' and num_cand=0";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	if($scrutinata==true)
-	{
-		# provare insert dei soli id_cons e id_sez
-		$sql="insert into ".$prefix."_ele_voti_gruppo (id_cons,id_sez,num_gruppo) values('$id_cons','$id_sez',0)";
+	$salvato=0;
+
+	##################
+
+	$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+	$ar=$result->fetch(PDO::FETCH_BOTH);
+	$validilista=$validi-$ar['solo_gruppo'];
+	$log_data= date("Y/m/d");
+	$log_ora=getdate(time());	
+	$orario=($log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']);
+
+	#if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and ($votog or $genere==4)){
+		$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$aid','$log_data','$orario','validi_lista:$ar[14] nulli:$ar[7] bianchi:$ar[8] ','validi_lista=$validilista, nulli=$nulli,bianchi=$bianchi','_ele_sezioni')";
 		$res = $dbi->prepare("$sql");
-		$res->execute(); 
-		$sql="insert into ".$prefix."_ele_voti_lista (id_cons,id_sez) values('$id_cons','$id_sez')";
+		$res->execute();
+		$sql="update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', nulli='$nulli',bianchi='$bianchi', voti_nulli='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ";
 		$res = $dbi->prepare("$sql");
-		$res->execute(); 
-		$sql="insert into ".$prefix."_ele_voti_candidati (id_cons,id_sez,num_cand) values('$id_cons','$id_sez',0)";
+		$res->execute();
+		if ($fileout) fwrite($fp,"$sql;\n");
+	######
+	#include($sql."TEST: scru=$scrutinata");
+	if(isset($scrutinata))
+	{	
+		$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and num_gruppo=0";
 		$res = $dbi->prepare("$sql");
-		$res->execute(); 
-#		
-	}		
-}	
-/*}else{
- 	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$aid','','','validi:$ar[6] nulli:$ar[7] bianchi:$ar[8] contestati:$ar[9] voti_nulli:$ar[13]','validi=$validi, nulli=$nulli,bianchi=$bianchi,contestati=$contestati, voti_nulli=$votinulli','_ele_sezioni')";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$sql="update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	if ($fileout) fwrite($fp,"$sql;\n"); */
-#}
-include("ele_controlli.php");
-controllo_voti($id_cons,$id_sez);
-include("ele_colora_sez.php");
-
-if ($fileout) fclose($fp);
+		$res->execute();
+		$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez' and num_lista=0";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez' and num_cand=0";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		if($scrutinata==true)
+		{
+			# provare insert dei soli id_cons e id_sez
+			$sql="insert into ".$prefix."_ele_voti_gruppo (id_cons,id_sez,num_gruppo) values('$id_cons','$id_sez',0)";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+			$sql="insert into ".$prefix."_ele_voti_lista (id_cons,id_sez) values('$id_cons','$id_sez')";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+			$sql="insert into ".$prefix."_ele_voti_candidati (id_cons,id_sez,num_cand) values('$id_cons','$id_sez',0)";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+	#		
+		}		
+	}	
+	/*}else{
+		$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$aid','','','validi:$ar[6] nulli:$ar[7] bianchi:$ar[8] contestati:$ar[9] voti_nulli:$ar[13]','validi=$validi, nulli=$nulli,bianchi=$bianchi,contestati=$contestati, voti_nulli=$votinulli','_ele_sezioni')";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		$sql="update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		if ($fileout) fwrite($fp,"$sql;\n"); */
+	#}
+	include("ele_controlli.php");
+	controllo_voti($id_cons,$id_sez);
+	include("ele_colora_sez.php");
+	if ($fileout) fclose($fp);
+}
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
 Header("Location: ".$BASE."admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=$ops");
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 406)
+++ trunk/admin/versione.php	(revision 407)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 406";
+$versione = "3.0 rev 407";
 $version_number = $versione;
-$datarel = "28 febbraio 2024";
+$datarel = "05 marzo 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
